# String formatting examples

from datetime import date

def print_ages(current_age, start_year, number_of_years):
    """
    We want to print a list that is formatted like this:
      In 2021, you will be 20 years old.
      In 2022, you will be 21 years old.
      ...

    Doctest:
    >>> print_ages(20, 2021, 3)
    In 2021, you will be 20 years old.
    In 2022, you will be 21 years old.
    In 2023, you will be 22 years old.
    >>>
    """
    for i in range(number_of_years):
        # The old way is ugly!
        # print('In ' + str(start_year + i) + ', you will be '
        #       + str(current_age + i) + ' years old.')

        # Formatted strings is better!
        print(f'In {start_year + i}, you will be {current_age + i} years old.')


def main():
    age = int(input('What is your age? '))
    num_years = int(input('How many years do you want to print? '))
    current_year = date.today().year
    print_ages(age, current_year, num_years)

    a = 5
    b = 6
    print(f'The product of {a} * {b} is {a * b}')

    # f-strings work without printing
    result_str = f'The sum of {a} + {b} is {a + b}'
    print(result_str)
    print(f'This is a curly brace: {{, and so is this: }}')

    # don't forget the f!
    print('The product of {a} and {b} is {a * b}')

    # 

if __name__ == "__main__":
    main()
